Loading...
Searching...
No Matches
ojph_sockets.h File Reference
`#include <string>`
`#include "ojph_arch.h"`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Classes

class | ojph::net::socket
| A small wrapper for socket that only abstract Winsock2. More...
class | ojph::net::socket_manager
| A small wrapper for some Winsock2 functionality. More...

## Namespaces

namespace | ojph
namespace | ojph::net

## Macros

#define | OJPH_INVALID_SOCKET (-1)
#define | OJPH_EWOULDBLOCK (EWOULDBLOCK)

## Typedefs

typedef int | ojph_socket

## Macro Definition Documentation

## OJPH_EWOULDBLOCK

#define OJPH_EWOULDBLOCK (EWOULDBLOCK)

Definition at line 63 of file ojph_sockets.h.

Referenced by main().

## OJPH_INVALID_SOCKET

#define OJPH_INVALID_SOCKET (-1)

Definition at line 62 of file ojph_sockets.h.

Referenced by ojph::net::socket::close(), main(), and ojph::net::socket::socket().

## Typedef Documentation

## ojph_socket

typedef int ojph_socket

Definition at line 61 of file ojph_sockets.h.